Home > Archives > 2007-07

2007-07

【Fedora7】ClamAVがyumで最新(ver.0.90.3)にならない

Pocket

昨日の時点で、Fedora Core 6からFedora 7にアップグレードを行ったが、ClamAVはまだ改善されていない模様。

  ——————— clam-update Begin ————————

Last ClamAV update process started at Wed Jul 4 21:40:45 2007

Last Status:
  WARNING: Your ClamAV installation is OUTDATED!
  WARNING: Local version: 0.88.7 Recommended version: 0.90.3
  DON’T PANIC! Read http://www.clamav.net/faq.html
  main.cvd is up to date (version: 43, sigs: 104500, f-level: 14, builder: sven)
  WARNING: Your ClamAV installation is OUTDATED!
  WARNING: Current functionality level = 10, recommended = 14
  DON’T PANIC! Read http://www.clamav.net/faq.html
  daily.cvd is up to date (version: 3598, sigs: 28298, f-level: 16, builder: ccordes)
  WARNING: Your ClamAV installation is OUTDATED!
  WARNING: Current functionality level = 10, recommended = 16
  DON’T PANIC! Read http://www.clamav.net/faq.html

———————- clam-update End ————————-

で、早速同じような人がいないかどうか、検索してみたら、見事HITした。

そのサイトがこちら。

http://tama-studio.com/xhnewbb+viewtopic.topic_id+151+forum+5+post_id+171.htm

対策として

”fedora-development”

を使用するとのこと。

実際に、やってみた。

[ Fedora 7 編 ]

手順1:clamav関連ファイルのアップデート
# yum -y install –enablerepo=development clamav-*

このコマンドをするとErrorが帰ってくる。

そのログはこちら。

# yum -y install –enablerepo=development clamav-*

Loading “installonlyn” plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
–> Running transaction check
–> Package clamav-server-sysv.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-filesystem.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-lib.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-data.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-devel.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-data-empty.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-milter-sysv.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-server.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-update.i386 0:0.90.3-1.fc8 set to be updated
–> Package clamav-milter.i386 0:0.90.3-1.fc8 set to be updated
–> Processing Conflict: clamav-data conflicts data(clamav) Processing Conflict: clamav-data-empty conflicts data(clamav) > empty
–> Finished Dependency Resolution

Error: clamav-data conflicts with data(clamav) empty

理解不能・・・。。゜(゚´Д`゚)゜。ウァァァン

Dataが満タンで、一方は空っぽ。って言っている。

これの意味していることはなんだろう?

Pocket

【Fedora7】 アップデート記録。

Pocket

☆Fedora7がリリースとなったので、Fedora Core 6からアップデートを試みた。

今回は、ネットワークインストールをやろうと思ったが、うまく行かず・・・。

Fedora7のレスキューCDをisoイメージでCD-Rに焼いて、Rebootしたが、最初の画面は表示される。

その後に、Escボタンを押して、

#boot:

の表示になったら、

#boot:linux askmethod

とコマンドを打つが、

…………………………..

Ready.

この時点でなぜか停止してしまう。

5分ぐらい、システム停止なのか、バックグラウンドでなにか動いているのか?待ってみたが全く動かないから、レスキューCDからのネットワークインストールは断念した。

そして数時間後、どうしてもFedora7にしたいと思って、またネットサーフィンを行う。

そして、たどり着いたのがココだ!

Keywordは・・・

”FedoraCore6  Fedora7 アップデート”

だ!

そして、これ。

http://blog.miraclelinux.com/asianpen/2007/06/fedora7_a657.html

まずここの記事を参考に作業を開始した。

作業開始時間、PM10:30頃。

ちょうどその日は一日ミーティングだったので、時間がかかってもよいということもあり、yumでアップデートすることにしました。Fedora Core 6からFedora 7へyumを使ってのアップデート方法ですが、ごくごく簡単です。まず、下記の2つのパッケージをWebサイトからダウンロードして、rpmコマンドで手動にてアップデートを実行します。

yumコマンドでアップグレードできるのね♪(・∀・)ニヤニヤ
ってことで、早速試みた。

#rpm -Uvh http://download.fedora.redhat.com/pub/fedora/linux/
  releases/7/Fedora/i386/os/Fedora/fedora-release-7-3.noarch.rpm 
http://download.fedora.redhat.com/pub/fedora/linux/releases/
  7/Fedora/i386/os/Fedora/fedora-release-notes-7.0.0-1.noarch.rpm

で、fedora-release とfedora-release-notes をrpmでインストール。

上記をアップデート後は、yumコマンドを実行するだけです。ごっそりとパッケージがアップデートされるということもあり、念のためシングルモードで立ち上げて、networkだけ起動し、yumでアップデートします。

ということなので、

まず”シングルモードで立ち上げ”はどうすればいいの?

っていう、問題があったので、検索した。

で、このサイト。

http://www.ksknet.net/linux/post_166.html

GRUBがインストールされているマシンで、シングルモードにてシステムを立ち上げる場合、GUIが表示された時点で矢印カーソルで起動するカーネルを選択しeボタンを押します。画面が切り替わるので、kernelから始まる行(通常二行目)をハイライトし、再度eボタンを押します。行の最終部分に1を入力し、Enterを押します。最後にb (boot) ボタンを押せばシングルモードにてシステムが立ち上がります。

見事シングルモードで起動した。

これは初めての試みだったので、非常にわかりやすく、丁寧で感謝です。m(_ _)m

で、先程の

# service network start
# yum -y upgrade

でうまく行くかと思いきや、Errorを吐き出している。

Error: Missing Dependency:***** is needed by package ******

これが7つぐらい出てたかな?

そのErrorを取り除く為、原因になってるパッケージを削除する。

(必要な場合は upgrde 後に yum install で簡単に入れ直せるからとりあえずError取り除きましょってことで。)

#yum remove up2date pidgin 4Suite rhnlib **** ****

再度 upgrade 実行するもまた依存エラー

パッケージのダウンロード無事終了!

また、トランザクションテストでエラーが発生。。。

Transaction Check Error:
  file /usr/share/terminfo/k/kon from install of ncurses-5.6-6.20070303.fc7 conflicts with file from package kon2-0.3.9b-26.2

kon2 も別に要らないので削除

#yum remove kon2

で、

#yum -y upgrade

でようやく完了!!

で、シングルモードで起動しているので、再起動する。
(カーネルとかいろいろとアップグレードされているので、再起動したほうが無難)

これでひとまず完了なのかな??

P.S
アップグレード完了時間、PM11:00ということで、

俺の場合は30分で終わったけど、みんな3時間とか書いてあった。

どうして?

ネットワークの速さ?いや、ダウンロードするのにみんなやってたから遅かったのかな?

んー、まぁ今日この時間で30分。

PCのスペックと関係あるのか?(ぇ
そんなことはないと思うけど。。。

Pocket

Home > Archives > 2007-07

Search
Feeds

Return to page top